import fisica.*;

FWorld world;
int count;

void setup() {
  size(400, 400);
  count = width/9;
  Fisica.init(this);
  world = new FWorld();
  world.setGravity(0, 300);
  world.setEdges();
  world.remove(world.right);
  world.remove(world.left);

  for (int i = count; i < height - 50; i += count) {
    for (int j = 1; j <= width + 10; j += count) {
      FCircle b = new FCircle(10);
      b.setFill(0);
      b.setPosition(j, i);
      b.setStatic(true);
      b.setRestitution(.7);
      b.setFriction(0);
      world.add(b);
    }
  }

  for (int k = 3*count/2; k < height - 50; k += count) {
    for (int l = count/2 + 1; l <= width; l += count) {
      FCircle b = new FCircle(10);
      b.setFill(0);
      b.setPosition(l, k);
      b.setStatic(true);
      b.setRestitution(0);
      b.setFriction(0);
      world.add(b);
    }
  }

  for (int i = -5; i < width; i += count) {
    FPoly r = new FPoly();
    r.vertex(i, height);
    r.vertex(i, height - 50);
    r.vertex(i + 10, height-50);
    r.vertex(i + 10, height);
    r.setFill(0);
    r.setStatic(true);
    world.add(r);
  }
}

void draw() {
  background(200);

  if ((frameCount % 120) == 1) {
    FCircle b = new FCircle(13);
    b.setPosition(random(10, width-10), 10);
    b.setFill(255, 0, 0);
    b.setFriction(0);
    world.add(b);
  }
  
  world.step();
  world.draw();
}

